<bugID>1291427<Summary>Table headers are not removed when selecting an empty storage</Summary><Description>As of bug 1264582:

The table headers of the previously selected storage are still shown when selecting a storage, which doesn't contain any items.

Steps to reproduce:
1. Open the Storage Inspector on this page
2. Expand 'Cookies' and select 'bugzilla.mozilla.org'
   =&gt; Some cookies will be shown in a table with the headers 'Name', 'Path', ..., 'isHttpOnly'
3. Select 'Local Storage'

=&gt; The headers of the 'Cookies' table are still shown.

You'd expect that the table headers are hidden when there are no entries.

Sebastian</Description></bugID>